<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.elytron.client-ssl-context">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="cipher-suite-filter,cipher-suite-names,key-manager,protocols,provider-name,providers,trust-manager"/>
        <elem name="addr-params" value="profile,host,subsystem,client-ssl-context"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.security.ssl-context.$client-ssl-context"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.security.key-manager.$key-manager" optional="true"/>
        <capability name="$profile.org.wildfly.security.providers.$providers" optional="true"/>
        <capability name="$profile.org.wildfly.security.trust-manager.$trust-manager" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.elytron"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="cipher-suite-names" nillable="true"/>
        <param name="provider-name" nillable="true"/>
        <param name="trust-manager" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="elytron"/>
        <param name="cipher-suite-filter" nillable="true"/>
        <param name="key-manager" nillable="true"/>
        <param name="protocols" nillable="true" type="List&lt;String&gt;"/>
        <param name="providers" nillable="true"/>
        <param name="client-ssl-context" feature-id="true"/>
    </params>
</feature-spec>